RubyGems Navigation menu

highline 3.0.0.pre.1

A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

Gemfile:
= Copier Copié!

installation:
=

Versions:

  1. 3.0.1 - January 20, 2024 (213 ko)
  2. 3.0.0 - January 05, 2024 (213 ko)
  3. 3.0.0.pre.1 - April 27, 2023 (213 ko)
  4. 2.1.0 - December 31, 2022 (212 ko)
  5. 2.0.3 - October 11, 2019 (212 ko)
Voir toutes les versions (70)

Dépendances de Development (4):

bundler >= 0
dry-types >= 0
minitest >= 0
rake >= 0

Propriétaires:

Pushed by:

Auteurs:

  • James Edward Gray II

Total de contrôle SHA 256:

d9b9ce0c69fe334b5840ffcc724d55b730c5954a94560621a6dfab7fdffcc62e

Total de téléchargements 227 129 189

Pour cette version 1 187

License:

Ruby

Version de Ruby requise: >= 3.0

Required Rubygems Version: > 1.3.1

Liens: